Don't emit palette changes if the palette didn't change
ClosedPublic

Authored by apol on Feb 12 2020, 2:07 PM.

Details

Summary

Should keep us from repainting objects that depend on it.

Test Plan

Detected it with KObjectTracker, happens several times on every startup.

Diff Detail

Repository
R169 Kirigami
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 22399
Build 22417: arc lint + arc unit
apol created this revision.Feb 12 2020, 2:07 PM
Restricted Application added a project: Kirigami. · View Herald TranscriptFeb 12 2020, 2:07 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
apol requested review of this revision.Feb 12 2020, 2:07 PM
apol updated this revision to Diff 76033.Feb 20 2020, 2:15 AM

Icon: fix rendering of image: urls on High DPI

QQuickImageProvider wants the requestedSize to be accounting for the dpi
scaling. We have no information about about the DPI from the implementation
anyway.
This is also how it's explained in the qtdeclarative/manual/highdpi/ test in Qt.

BUG: 417647

apol updated this revision to Diff 76036.Feb 20 2020, 2:21 AM

unrelated changes. Hating arc right now...

mart accepted this revision.Feb 26 2020, 1:33 PM
This revision is now accepted and ready to land.Feb 26 2020, 1:33 PM
apol updated this revision to Diff 77324.Mon, Mar 9, 11:48 PM

Simplify the process

This revision was automatically updated to reflect the committed changes.